Bug 1733576 - [abrt] dnf: mem_error(): python3.7 killed by SIGABRT
Summary: [abrt] dnf: mem_error(): python3.7 killed by SIGABRT
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f8f8d240f78378cec95005b685a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 15:08 UTC by Guy Streeter
Modified: 2019-08-05 08:35 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 08:35:29 UTC


Attachments (Terms of Use)
File: _var_log_dnf.log (344.07 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: backtrace (151.76 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: cgroup (399 bytes, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: core_backtrace (16.36 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: dnf-makecache.log (56.34 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: dso_list (13.65 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: environ (2.03 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: maps (82.97 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: mountinfo (4.05 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: open_fds (4.85 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2019-07-26 15:08 UTC, Guy Streeter
no flags Details

Description Guy Streeter 2019-07-26 15:08:24 UTC
Version-Release number of selected component:
dnf-4.2.5-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /bin/dnf upgrade
crash_function: mem_error
executable:     /usr/bin/python3.7
journald_cursor: s=74bc29a2da0e425b9a2de84f0b36a37a;i=541c;b=2ac8d39cb9344d5ab7937c83d358623f;m=5f43d9bbfe;t=58e96115903c6;x=88c883713d7fa6fc
kernel:         5.1.18-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 mem_error at ../glib/gslice.c:1476
 #3 slab_allocator_free_chunk at ../glib/gslice.c:1353
 #4 magazine_cache_trim at ../glib/gslice.c:678
 #5 magazine_cache_push_magazine at ../glib/gslice.c:709
 #6 thread_memory_magazine2_unload at ../glib/gslice.c:1117
 #7 g_slice_free1 at ../glib/gslice.c:1117
 #8 g_type_free_instance at ../gobject/gtype.c:1943
 #9 package_dealloc at /usr/src/debug/libdnf-0.31.0-3.fc30.x86_64/python/hawkey/package-py.cpp:84
 #10 subtype_dealloc at /usr/src/debug/python3-3.7.3-3.fc30.x86_64/Objects/typeobject.c:1256
 #11 list_dealloc at /usr/src/debug/python3-3.7.3-3.fc30.x86_64/Objects/listobject.c:324

Comment 1 Guy Streeter 2019-07-26 15:08:28 UTC
Created attachment 1593726 [details]
File: _var_log_dnf.log

Comment 2 Guy Streeter 2019-07-26 15:08:30 UTC
Created attachment 1593727 [details]
File: backtrace

Comment 3 Guy Streeter 2019-07-26 15:08:31 UTC
Created attachment 1593728 [details]
File: cgroup

Comment 4 Guy Streeter 2019-07-26 15:08:32 UTC
Created attachment 1593729 [details]
File: core_backtrace

Comment 5 Guy Streeter 2019-07-26 15:08:33 UTC
Created attachment 1593730 [details]
File: cpuinfo

Comment 6 Guy Streeter 2019-07-26 15:08:34 UTC
Created attachment 1593731 [details]
File: dnf-makecache.log

Comment 7 Guy Streeter 2019-07-26 15:08:36 UTC
Created attachment 1593732 [details]
File: dso_list

Comment 8 Guy Streeter 2019-07-26 15:08:37 UTC
Created attachment 1593733 [details]
File: environ

Comment 9 Guy Streeter 2019-07-26 15:08:38 UTC
Created attachment 1593734 [details]
File: limits

Comment 10 Guy Streeter 2019-07-26 15:08:39 UTC
Created attachment 1593735 [details]
File: maps

Comment 11 Guy Streeter 2019-07-26 15:08:40 UTC
Created attachment 1593736 [details]
File: mountinfo

Comment 12 Guy Streeter 2019-07-26 15:08:41 UTC
Created attachment 1593737 [details]
File: open_fds

Comment 13 Guy Streeter 2019-07-26 15:08:42 UTC
Created attachment 1593738 [details]
File: proc_pid_status

Comment 14 Jaroslav Mracek 2019-07-29 07:59:36 UTC
Thank you very much for your report. Please could you still reproduce the issue or it appears only once?

Comment 15 Guy Streeter 2019-07-29 14:47:56 UTC
I don't know how it happened, and I have only seen it once.

Comment 16 Jaroslav Mracek 2019-07-29 15:28:53 UTC
I am sorry but this quite difficult to investigate such an issue without a reproducer. 
Please could you provide an output from command "valgrind dnf upgrade -y" (It performs upgrade, but also it monitors usage of resources. It takes really very long time to finish)?  Probably there could be a hint.

Comment 17 Guy Streeter 2019-07-29 19:35:51 UTC
I told you it has only happened once. I can't reproduce it.

Comment 18 Jaroslav Mracek 2019-08-05 08:35:29 UTC
Thank you very much for your report. It looks like that the issue was with a usage of memory. The issue also appeared only once. It is possible that the issue was not related to dnf, or that the issue was already fixed. Unfortunately without a reproducer we cannot do much.


Note You need to log in before you can comment on or make changes to this bug.